#include <time.h>
#include "inputbusiness.h"

InputBusiness::InputBusiness(InputManager *input, const QList<QVariant> &channels, ServerManager *server)
    : m_input(input)
    , m_channels(channels)
    , m_server(server)
{
}

InputBusiness::~InputBusiness()
{
}

QList<QVariant> InputBusiness::readAndSend(quint64 timestamp)
{
    QList<QVariant> values;
    foreach (auto channel, m_channels)
        values.append(m_input->read(channel));
    m_server->sendData(values, timestamp);
    return values;
}

